!include "FileFunc.nsh"

!define FIRMA        "Anlero"                    ;nazwa firmy
!define PROGRAM      "NovaSgis"                  ;nazwa programu
!define WERSJA       "v1.39 (05.06.09)"          ;wersja
!define USB_DRV      0                              ;jak ==1 to dodaje sterowniki usb
!define ST_MENU      "${FIRMA}\${PROGRAM}"          ;pozycja w menu start

!if ${USB_DRV} == 1
    Name    "${FIRMA} ${PROGRAM} ${WERSJA} and USB drivers"
    OutFile "gotowa instalka\${FIRMA} ${PROGRAM} ${WERSJA} and USB drivers.exe"
!else
    Name    "${FIRMA} ${PROGRAM} ${WERSJA}"
    OutFile "gotowa instalka\${FIRMA} ${PROGRAM} ${WERSJA}.exe"
!endif

InstallDir       "$PROGRAMFILES\${FIRMA}\${PROGRAM}"
InstallDirRegKey HKLM "SOFTWARE\${FIRMA}\${PROGRAM}" "Install_Dir"

LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Afrikaans.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Albanian.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Arabic.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Basque.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Belarusian.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Bosnian.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Breton.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Bulgarian.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Catalan.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Croatian.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Czech.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Danish.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Dutch.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\English.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Estonian.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Farsi.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Finnish.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\French.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Galician.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\German.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Greek.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Hebrew.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Hungarian.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Icelandic.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Indonesian.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Irish.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Italian.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Japanese.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Korean.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Kurdish.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Latvian.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Lithuanian.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Luxembourgish.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Macedonian.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Malay.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Mongolian.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Norwegian.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\NorwegianNynorsk.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Polish.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Portuguese.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\PortugueseBR.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Romanian.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Russian.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Serbian.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\SerbianLatin.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\SimpChinese.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Slovak.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Slovenian.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Spanish.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\SpanishInternational.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Swedish.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Thai.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\TradChinese.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Turkish.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Ukrainian.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Uzbek.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language Files\Welsh.nlf"

;Set name using the normal interface (Name command)
;LangString Name ${LANG_ENGLISH} "English"
;LangString Name ${LANG_RUSSIAN} "Russian"
;LangString Name ${LANG_POLISH} "Polish"
;------------------------
; Directly change the inner lang strings (Same as ComponentText)
;LangString ^ComponentsText ${LANG_ENGLISH} "English component page"
;LangString ^ComponentsText ${LANG_RUSSIAN} "Russian component page"
;LangString ^ComponentsText ${LANG_POLISH} "Polish component page"

;--------------------------
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------

Function .onInit
    ;Language selection dialog
    Push ""
    Push ${LANG_ENGLISH}
    Push English
    Push ${LANG_RUSSIAN}
    Push Russian
    Push ${LANG_POLISH}
    Push Polish
    Push ${LANG_SERBIANLATIN}
    Push SerbianLatin
    Push ${LANG_CROATIAN}
    Push Croatian
    Push ${LANG_BULGARIAN}
    Push Bulgarian
    Push ${LANG_GERMAN}
    Push German
    Push ${LANG_ITALIAN}
    Push Italian
    Push A ; A means auto count languages
           ; for the auto count to work the first empty push (Push "") must remain
    LangDLL::LangDialog "Installer Language" "Please select the language of the installer"

    Pop $LANGUAGE
    StrCmp $LANGUAGE "cancel" 0 +2
        Abort
FunctionEnd

Section ""
    RMDir /r "$PROGRAMFILES\Anlero\lang"
    RMDir /r "$PROGRAMFILES\Anlero\parametry"
    Delete $INSTDIR\*.*
    Delete "$SMPROGRAMS\anlero\*.lnk"
    Delete "$DESKTOP\nova sgis.lnk"

    SetOutPath $INSTDIR
    File "instalka\nova sgis.exe"
    File "instalka\jezyk.txt"   

    CreateDirectory "$INSTDIR\lang"
    SetOutPath "$INSTDIR\lang"
    File "instalka\lang\polski.txt"    
    File "instalka\lang\angielski.txt"    
    File "instalka\lang\rosyjski.txt"    
    File "instalka\lang\serbski.txt"    
    File "instalka\lang\chorwacki.txt"
    File "instalka\lang\bulgarski.txt"
    File "instalka\lang\niemiecki1.txt"    
    File "instalka\lang\wloski.txt" 

    CreateDirectory "$INSTDIR\parametry"   

    SetOutPath $INSTDIR
    
SectionEnd

Section "Section number two"

    FileOpen $0 "$INSTDIR\jezyk.txt" w

    StrCmp $LANGUAGE ${LANG_POLISH} 0 +2
        FileWriteByte $0 "1"    
    StrCmp $LANGUAGE ${LANG_ENGLISH} 0 +2
        FileWriteByte $0 "2"
    StrCmp $LANGUAGE ${LANG_RUSSIAN} 0 +2
        FileWriteByte $0 "3"
    StrCmp $LANGUAGE ${LANG_SERBIANLATIN} 0 +2
        FileWriteByte $0 "7"
    StrCmp $LANGUAGE ${LANG_CROATIAN} 0 +2
        FileWriteByte $0 "8"
    StrCmp $LANGUAGE ${LANG_BULGARIAN} 0 +2
        FileWriteByte $0 "11"
    StrCmp $LANGUAGE ${LANG_GERMAN} 0 +2
        FileWriteByte $0 "4"
    StrCmp $LANGUAGE ${LANG_ITALIAN} 0 +2
        FileWriteByte $0 "6"
    FileClose $0

SectionEnd


Section "Start Menu Shortcuts"
    CreateDirectory "$SMPROGRAMS\${FIRMA}"
    CreateDirectory "$SMPROGRAMS\${FIRMA}\${PROGRAM}"
    CreateShortCut  "$SMPROGRAMS\${FIRMA}\${PROGRAM}\Uninstall.lnk"  "$INSTDIR\uninstall.exe"  "" "$INSTDIR\uninstall.exe"  0
    CreateShortCut  "$SMPROGRAMS\${FIRMA}\${PROGRAM}\${PROGRAM}.lnk" "$INSTDIR\nova sgis.exe" "" "$INSTDIR\nova sgis.exe" 0
    CreateShortCut  "$DESKTOP\${PROGRAM}.lnk" "$INSTDIR\nova sgis.exe"
SectionEnd

; The stuff to install

Section "Example2 (required)"

  SectionIn RO
  
  ; Set output path to the installation directory.
  SetOutPath $INSTDIR

  ; Put file there
  File "anlero.nsi"

  ; Write the installation path into the registry
  WriteRegStr HKLM "SOFTWARE\${FIRMA}\${PROGRAM}" "Install_Dir" "$INSTDIR"

  ; Write the uninstall keys for Windows
  WriteRegStr   HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${FIRMA}\${PROGRAM}" "DisplayName"     "${PROGRAM}"
  WriteRegStr   HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${FIRMA}\${PROGRAM}" "UninstallString" '"$INSTDIR\uninstall.exe"'
  WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${FIRMA}\${PROGRAM}" "NoModify" 1
  WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${FIRMA}\${PROGRAM}" "NoRepair" 1

  WriteUninstaller "uninstall.exe"
  
SectionEnd

Section "Uninstall"
    ; Remove registry keys
    DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${FIRMA}\${PROGRAM}"
    DeleteRegKey HKLM "SOFTWARE\${FIRMA}\${PROGRAM}"

    Delete "$DESKTOP\${PROGRAM}.lnk"

    ; Remove directories used
    RMDir /r "$SMPROGRAMS\${FIRMA}\${PROGRAM}"
    RMDir /r "$INSTDIR"
SectionEnd

